from alembic import op
import sqlalchemy as sa
revision = '17efc6439cc3'
down_revision = 'bfa74be4b256'
branch_labels = None
depends_on = None

def upgrade() -> None:
    op.add_column('page_contents', sa.Column('luxury_section_title', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('luxury_section_subtitle', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('luxury_section_image', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('luxury_features', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('luxury_gallery', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('luxury_testimonials', sa.Text(), nullable=True))

def downgrade() -> None:
    op.drop_column('page_contents', 'luxury_testimonials')
    op.drop_column('page_contents', 'luxury_gallery')
    op.drop_column('page_contents', 'luxury_features')
    op.drop_column('page_contents', 'luxury_section_image')
    op.drop_column('page_contents', 'luxury_section_subtitle')
    op.drop_column('page_contents', 'luxury_section_title')